| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::superres::BroxOpticalFlow Class Referenceabstract
Super Resolution

`#include <opencv2/superres/optical_flow.hpp>`

Collaboration diagram for cv::superres::BroxOpticalFlow:

## Public Member Functions
virtual double | getAlpha () const =0
| Flow smoothness.
virtual double | getGamma () const =0
| Gradient constancy importance.
virtual int | getInnerIterations () const =0
| Number of lagged non-linearity iterations (inner loop)
virtual int | getOuterIterations () const =0
| Number of warping iterations (number of pyramid levels)
virtual double | getScaleFactor () const =0
| Pyramid scale factor.
virtual int | getSolverIterations () const =0
| Number of linear system solver iterations.
virtual void | setAlpha (double val)=0
| Flow smoothness.
virtual void | setGamma (double val)=0
| Gradient constancy importance.
virtual void | setInnerIterations (int val)=0
| Number of lagged non-linearity iterations (inner loop)
virtual void | setOuterIterations (int val)=0
| Number of warping iterations (number of pyramid levels)
virtual void | setScaleFactor (double val)=0
| Pyramid scale factor.
virtual void | setSolverIterations (int val)=0
| Number of linear system solver iterations.
Public Member Functions inherited from cv::superres::DenseOpticalFlowExt
virtual void | calc (InputArray frame0, InputArray frame1, OutputArray flow1, OutputArray flow2=noArray())=0
virtual void | collectGarbage ()=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ getAlpha()

virtual double cv::superres::BroxOpticalFlow::getAlpha | ( |  | ) | const
| pure virtual

Flow smoothness.

See also
  setAlpha

## ◆ getGamma()

virtual double cv::superres::BroxOpticalFlow::getGamma | ( |  | ) | const
| pure virtual

Gradient constancy importance.

See also
  setGamma

## ◆ getInnerIterations()

virtual int cv::superres::BroxOpticalFlow::getInnerIterations | ( |  | ) | const
| pure virtual

Number of lagged non-linearity iterations (inner loop)

See also
  setInnerIterations

## ◆ getOuterIterations()

virtual int cv::superres::BroxOpticalFlow::getOuterIterations | ( |  | ) | const
| pure virtual

Number of warping iterations (number of pyramid levels)

See also
  setOuterIterations

## ◆ getScaleFactor()

virtual double cv::superres::BroxOpticalFlow::getScaleFactor | ( |  | ) | const
| pure virtual

Pyramid scale factor.

See also
  setScaleFactor

## ◆ getSolverIterations()

virtual int cv::superres::BroxOpticalFlow::getSolverIterations | ( |  | ) | const
| pure virtual

Number of linear system solver iterations.

See also
  setSolverIterations

## ◆ setAlpha()

virtual void cv::superres::BroxOpticalFlow::setAlpha | ( | double | val | ) |
| pure virtual

Flow smoothness.

See also
  getAlpha

## ◆ setGamma()

virtual void cv::superres::BroxOpticalFlow::setGamma | ( | double | val | ) |
| pure virtual

Gradient constancy importance.

See also
  getGamma

## ◆ setInnerIterations()

virtual void cv::superres::BroxOpticalFlow::setInnerIterations | ( | int | val | ) |
| pure virtual

Number of lagged non-linearity iterations (inner loop)

See also
  getInnerIterations

## ◆ setOuterIterations()

virtual void cv::superres::BroxOpticalFlow::setOuterIterations | ( | int | val | ) |
| pure virtual

Number of warping iterations (number of pyramid levels)

See also
  getOuterIterations

## ◆ setScaleFactor()

virtual void cv::superres::BroxOpticalFlow::setScaleFactor | ( | double | val | ) |
| pure virtual

Pyramid scale factor.

See also
  getScaleFactor

## ◆ setSolverIterations()

virtual void cv::superres::BroxOpticalFlow::setSolverIterations | ( | int | val | ) |
| pure virtual

Number of linear system solver iterations.

See also
  getSolverIterations

The documentation for this class was generated from the following file:

- opencv2/superres/optical_flow.hpp